---
title: "Target Management Bug Process"
hide_page_title: true
sidebar: 
    - home
    - users
    - integrators
    - contributors
---
Target Management Bug Process
=============================

This documents how the Target Management Project uses (Deprecated) [Bugzilla](http://bugs.eclipse.org/bugs) to handle bug reports, enhancement requests, patches etc. It covers basic lifecycle information and clarifications for how to use the various Bugzilla fields.

Please use the new Gitlab [issues](https://gitlab.eclipse.org/eclipse/tm/org.eclipse.tm/-/issues) for reporting bugs. 

Interesting Bugzilla Queries
----------------------------

**Contributions and IP Review**

*   [Indigo contributions candidates](https://bugs.eclipse.org/bugs/buglist.cgi?type0-1-0=notsubstring;field0-1-0=flagtypes.name;field0-0-0=attachments.submitter;classification=Tools;chfieldto=Now;chfield=[Bug%20creation];chfield=resolution;chfield=bug_status;chfield=target_milestone;query_format=advanced;value0-2-0=image%2F;value0-1-0=iplog%2B;chfieldfrom=2010-06-01;field0-2-0=attachments.mimetype;type0-0-0=notregexp;value0-0-0=martin.oberhuber%40windriver.com|dmcknigh%40ca.ibm.com|xuanchen%40ca.ibm.com|anna_dushistova%40mentor|david_dykstal%40us.ibm|uwe.stieber%40windriver.com|michael.scharf%40windriver.com;type0-2-0=notsubstring;product=Target%20Management): **Non-committer attachments** that are not flagged iplog+ and not an image, on any bug modified **since 1-Jun-2010**.
    *   Use this to find additional candidates to mark iplog+, then use the [IP Log Tool](http://www.eclipse.org/projects/ip_log.php?projectid=tools.tm) to filter-out bogus iplog+
    *   Also helpful to generally find contributions not yet attended to (for follow-up with the submitter)
    *   This query does not find code submitted as a bugzilla comment - these are very rare, Wayne's [contribution review tool](http://eclipse.org/projects/tools/ip_contribution_review.php?id=tools.tm) might find them

**Planning and feature work**

*   TM and RSE [Plan Items](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&keywords_type=allwords&keywords=plan&product=Target+Management&cmdtype=doit&order=Assignee)
*   TM and RSE [unplanned open API](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=%5Bapi&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit&order=Assignee&negate0=1&field0-0-0=short_desc&type0-0-0=casesubstring&value0-0-0=%5Bplan&field0-0-1=blocked&type0-0-1=anywordssubstr&value0-0-1=150498%2C163820%2C170909%2C170910%2C170911%2C170915%2C170916%2C170918%2C170922%2C170923%2C170926%2C170932%2C170936) bugs (without any plan items as "blocks" references)
*   TM and RSE [all open API](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=%5Bapi&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit&order=Assignee) bugs
*   TM and RSE [new bugs not yet triaged](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&target_milestone=---&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=REOPENED&emailassigned_to1=1&emailtype1=substring&email1=inbox%40eclipse.org&cmdtype=doit)
*   TM and RSE [2.0.4 assigned bugs](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&target_milestone=2.0.4&target_milestone=2.0.5&cmdtype=doit)
*   TM and RSE [open 3.0RC2 assigned bugs](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&target_milestone=3.0+M5&target_milestone=3.0+M6&target_milestone=3.0+M7&target_milestone=3.0+RC1&target_milestone=3.0+RC2&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit)
*   TM and RSE [open 3.0 assigned bugs](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&target_milestone=3.0+RC2&target_milestone=3.0+RC3&target_milestone=3.0+RC4&target_milestone=3.0&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit)
*   TM and RSE [Bugs related to PII](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&keywords_type=allwords&keywords=pii&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit)
*   [Terminal open bugs](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit&field0-0-0=component&type0-0-0=equals&value0-0-0=Terminal&field0-0-1=assigned_to&type0-0-1=equals&value0-0-1=tm.core-inbox%40eclipse.org&field0-0-2=short_desc&type0-0-2=anywords&value0-0-2=terminal)
*   TM and RSE [bugs deferred to the future](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&target_milestone=Future&cmdtype=doit)

**Bugfix and Contribution work**

*   TM and RSE [open severe bugs (major, critical, blocker)](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_severity=blocker&bug_severity=critical&bug_severity=major&cmdtype=doit)
*   TM and RSE [open hi-pri bugs](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit&field0-0-0=priority&type0-0-0=regexp&value0-0-0=P%5B12%5D&field0-0-1=bug_severity&type0-0-1=regexp&value0-0-1=blocker%7Ccritical%7Cmajor) (major, critical, blocker, P1 or P2)
*   TM and RSE [open bugs with patches attached](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit&field0-0-0=attachments.ispatch&type0-0-0=equals&value0-0-0=1)
*   TM and RSE [open current bugs](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&chfieldfrom=1w&chfieldto=Now&chfieldvalue=&cmdtype=doit&negate0=1&field0-0-0=target_milestone&type0-0-0=equals&value0-0-0=---&field0-0-1=target_milestone&type0-0-1=equals&value0-0-1=Future) (bugs which changed last week, except deferred with Target Milestone="---" or Target Milestone="Future")
*   TM and RSE [bugs fixed last week](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=RESOLVED&resolution=FIXED&resolution=INVALID&resolution=WONTFIX&resolution=DUPLICATE&resolution=WORKSFORME&chfieldfrom=7d&chfieldto=Now&chfield=resolution&cmdtype=doit) (important for verification!)

**Bugs assigned to committers or contributors**

*   TM and RSE [Assigned to Inbox](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&emailassigned_to1=1&emailtype1=substring&email1=inbox&cmdtype=doit)
*   TM and RSE [Report: All Open, Assignee vs. Priority](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=priority&y_axis_field=assigned_to&z_axis_field=&query_format=report-table&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&format=table&action=wrap) - Helps to see who is working on high priority issues;  
    allows to pick a particular assignee in order to create **"assigned to me"** reports as follows
    
| Company | TM Open Assigned to | NEW for | Changed last week for |
| ------- | ------------------- | ------- | --------------------- |
| IBM | [david\_dykstal](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=david_dykstal@us.ibm.com&cmdtype=doit) | [david\_dykstal](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=david_dykstal@us.ibm.com&cmdtype=doit) | [david\_dykstal](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=david_dykstal@us.ibm.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [dmcknigh](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=dmcknigh@ca.ibm.com&cmdtype=doit)  | [dmcknigh](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=dmcknigh@ca.ibm.com&cmdtype=doit) | [dmcknigh](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=dmcknigh@ca.ibm.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [kjdoyle](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=kjdoyle@ca.ibm.com&cmdtype=doit) | [kjdoyle](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=kjdoyle@ca.ibm.com&cmdtype=doit) | [kjdoyle](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=kjdoyle@ca.ibm.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [xuanchen](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=xuanchen@ca.ibm.com&cmdtype=doit) | [xuanchen](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=xuanchen@ca.ibm.com&cmdtype=doit) | [xuanchen](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=xuanchen@ca.ibm.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| Wind River | [martin.oberhuber](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=martin.oberhuber@windriver.com&cmdtype=doit) | [martin.oberhuber](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=martin.oberhuber@windriver.com&cmdtype=doit) | [martin.oberhuber](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=martin.oberhuber@windriver.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) | 
| | [uwe.stieber](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=uwe.stieber@windriver.com&cmdtype=doit) | [uwe.stieber](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=david_dykstal@us.ibm.com&cmdtype=doit) | [uwe.stieber](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=uwe.stieber@windriver.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) | 
| | [michael.scharf](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=Michael.Scharf@windriver.com&cmdtype=doit) | [michael.scharf](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=Michael.Scharf@windriver.com&cmdtype=doit) | [michael.scharf](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=Michael.Scharf@windriver.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [eugene.tarassov](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=eugene.tarassov@windriver.com&cmdtype=doit) | [eugene.tarassov](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=eugene.tarassov@windriver.com&cmdtype=doit) | [eugene.tarassov](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=eugene.tarassov@windriver.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [felix.burton](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=felix.burton@windriver.com&cmdtype=doit) | [felix.burton](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=felix.burton@windriver.com&cmdtype=doit) | [felix.burton](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=felix.burton@windriver.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| ProSyst | [r\_gerganov](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=r_gerganov@prosyst.bg&cmdtype=doit) |[r\_gerganov](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=r_gerganov@prosyst.bg&cmdtype=doit) | [r\_gerganov](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=r_gerganov@prosyst.bg&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| Private | [javier.montalvoorus](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=Javier.MontalvoOrus@gmail.com&cmdtype=doit) | [javier.montalvoorus](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=Javier.MontalvoOrus@gmail.com&cmdtype=doit) | [javier.montalvoorus](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=Javier.MontalvoOrus@gmail.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| Contributors | [ewa.matejska](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=ewa.matejska@access-company.com&cmdtype=doit) |[ewa.matejska](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=ewa.matejska@access-company.com&cmdtype=doit) | [ewa.matejska](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=ewa.matejska@access-company.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [ykuo](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=ykuo@mvista.com&cmdtype=doit) | [ykuo](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=ykuo@mvista.com&cmdtype=doit) | [ykuo](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=ykuo@mvista.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [adushistova](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=adushistova@ru.mvista.com&cmdtype=doit) | [adushistova](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=adushistova@ru.mvista.com&cmdtype=doit) | [adushistova](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=adushistova@ru.mvista.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [lothar.werzinger](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=lothar@tradescape.biz&cmdtype=doit) | [lothar.werzinger](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=lothar@tradescape.biz&cmdtype=doit) | [lothar.werzinger](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=lothar@tradescape.biz&cmdtype=doit&chfieldfrom=1w&chfieldto=Now)|
| | [rupenm](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=rupenm@ca.ibm.com&cmdtype=doit) | [rupenm](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=rupenm@ca.ibm.com&cmdtype=doit) | [rupenm](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=rupenm@ca.ibm.com&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
| | [takuya](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=miyamoto.takuya@lab.ime.cmc.osaka-u.ac.jp&cmdtype=doit) | [takuya](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&emailassigned_to1=1&emailtype1=exact&email1=miyamoto.takuya@lab.ime.cmc.osaka-u.ac.jp&cmdtype=doit) | [takuya](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=exact&email1=miyamoto.takuya@lab.ime.cmc.osaka-u.ac.jp&cmdtype=doit&chfieldfrom=1w&chfieldto=Now) |
    

**QA queries**

*   TM [major, critical, blocker, P1 or P2 fixed but not yet verified](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=RESOLVED&resolution=FIXED&resolution=WORKSFORME&cmdtype=doit&field0-0-0=priority&type0-0-0=regexp&value0-0-0=P%5B12%5D&field0-0-1=bug_severity&type0-0-1=regexp&value0-0-1=blocker%7Ccritical%7Cmajor)
*   TM [verified but not yet closed](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=VERIFIED&cmdtype=doit)

Reports for Release Review

*   TM Report: [All 2.x bugs vs. Target Milestone](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=target_milestone&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&target_milestone=---&target_milestone=2.0&target_milestone=2.0+M4&target_milestone=2.0+M5&target_milestone=2.0+M6&target_milestone=2.0+M7&target_milestone=2.0+RC1&target_milestone=2.0+RC2&target_milestone=2.0+RC3&target_milestone=2.0+RC4&target_milestone=2.0.1&target_milestone=2.0.2&target_milestone=2.0.3&target_milestone=2.0.4&target_milestone=Future&format=table&action=wrap)
    *   [Resolved 2.x bugs by Target Milestone (including API)](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=target_milestone&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&target_milestone=---&target_milestone=2.0&target_milestone=2.0+M4&target_milestone=2.0+M5&target_milestone=2.0+M6&target_milestone=2.0+M7&target_milestone=2.0+RC1&target_milestone=2.0+RC2&target_milestone=2.0+RC3&target_milestone=2.0+RC4&target_milestone=2.0.1&target_milestone=2.0.2&target_milestone=2.0.3&target_milestone=2.0.4&target_milestone=Future&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&chfieldfrom=2007-01-01&chfieldto=Now&chfield=bug_status&chfieldvalue=RESOLVED&format=table&action=wrap)
    *   [Resolved 2.x API Change Requests by Target Milestone](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=target_milestone&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&target_milestone=---&target_milestone=2.0&target_milestone=2.0+M4&target_milestone=2.0+M5&target_milestone=2.0+M6&target_milestone=2.0+M7&target_milestone=2.0+RC1&target_milestone=2.0+RC2&target_milestone=2.0+RC3&target_milestone=2.0+RC4&target_milestone=2.0.1&target_milestone=2.0.2&target_milestone=2.0.3&target_milestone=2.0.4&target_milestone=Future&keywords_type=anywords&keywords=api&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&chfieldfrom=2007-01-01&chfieldto=2007-06-28&chfield=bug_status&chfieldvalue=RESOLVED&format=table&action=wrap)
    *   [Open 2.x bugs by Target Milestone](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=target_milestone&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&target_milestone=---&target_milestone=2.0&target_milestone=2.0+M4&target_milestone=2.0+M5&target_milestone=2.0+M6&target_milestone=2.0+M7&target_milestone=2.0+RC1&target_milestone=2.0+RC2&target_milestone=2.0+RC3&target_milestone=2.0+RC4&target_milestone=2.0.1&target_milestone=2.0.2&target_milestone=2.0.3&target_milestone=2.0.4&target_milestone=Future&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&format=table&action=wrap)
*   TM Report: [All 3.x bugs vs. Target Milestone](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=target_milestone&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&target_milestone=---&target_milestone=3.0&target_milestone=3.0+M3&target_milestone=3.0+M4&target_milestone=3.0+M5&target_milestone=3.0+M6&target_milestone=3.0+M7&target_milestone=3.0+RC1&target_milestone=3.0+RC2&target_milestone=3.0+RC3&target_milestone=3.0+RC4&target_milestone=3.0.1&target_milestone=3.0.2&target_milestone=3.0.3&target_milestone=3.0.4&target_milestone=Future&format=table&action=wrap)
    *   [Resolved unique 3.x bugs by Target Milestone (including API)](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=target_milestone&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&component=Core&component=RSE&component=Terminal&target_milestone=---&target_milestone=3.0&target_milestone=3.0+M3&target_milestone=3.0+M4&target_milestone=3.0+M5&target_milestone=3.0+M6&target_milestone=3.0+M7&target_milestone=3.0+RC1&target_milestone=3.0+RC2&target_milestone=3.0+RC3&target_milestone=3.0+RC4&target_milestone=3.0+RC5&target_milestone=3.0.1&target_milestone=3.0.2&target_milestone=Future&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&resolution=FIXED&resolution=WORKSFORME&chfieldfrom=2007-06-28&chfieldto=Now&chfield=bug_status&chfieldvalue=RESOLVED&format=table&action=wrap)
    *   [Resolved 3.x API Change Requests by Target Milestone](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=target_milestone&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&component=Core&component=RSE&component=Terminal&target_milestone=---&target_milestone=3.0&target_milestone=3.0+M3&target_milestone=3.0+M4&target_milestone=3.0+M5&target_milestone=3.0+M6&target_milestone=3.0+M7&target_milestone=3.0+RC1&target_milestone=3.0+RC2&target_milestone=3.0+RC3&target_milestone=3.0+RC4&target_milestone=3.0+RC5&target_milestone=3.0.1&target_milestone=3.0.2&target_milestone=Future&keywords_type=anywords&keywords=api&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&chfieldfrom=2007-06-28&chfieldto=2008-07-10&chfield=bug_status&chfieldvalue=RESOLVED&format=table&action=wrap)
    *   [Open 3.x bugs by Target Milestone](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=target_milestone&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&target_milestone=---&target_milestone=3.0&target_milestone=3.0+M3&target_milestone=3.0+M4&target_milestone=3.0+M5&target_milestone=3.0+M6&target_milestone=3.0+M7&target_milestone=3.0+RC1&target_milestone=3.0+RC2&target_milestone=3.0+RC3&target_milestone=3.0+RC4&target_milestone=3.0.1&target_milestone=3.0.2&target_milestone=3.0.3&target_milestone=3.0.4&target_milestone=Future&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&format=table&action=wrap)
*   TM [Report: All Bugs, Severity vs. Status](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=bug_status&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&format=table&action=wrap)
*   TM [Report: All Bugs, Severity vs. Resolution](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=resolution&y_axis_field=bug_severity&z_axis_field=&query_format=report-table&product=Target+Management&format=table&action=wrap)

Reports and queries needed less frequently

*   TM [Report: User-submitted Open Bugs](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=bug_severity&y_axis_field=reporter&z_axis_field=&query_format=report-table&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&format=table&action=wrap&negate0=1&field0-0-0=reporter&type0-0-0=equals&value0-0-0=martin.oberhuber%40windriver.com&field0-0-1=reporter&type0-0-1=equals&value0-0-1=Javier.MontalvoOrus%40gmail.com&field0-0-2=reporter&type0-0-2=equals&value0-0-2=david_dykstal%40us.ibm.com&field0-0-3=reporter&type0-0-3=equals&value0-0-3=dmcknigh%40ca.ibm.com&field0-0-4=reporter&type0-0-4=equals&value0-0-4=kjdoyle%40ca.ibm.com&field0-0-5=reporter&type0-0-5=equals&value0-0-5=Michael.Scharf%40windriver.com&field0-0-6=reporter&type0-0-6=equals&value0-0-6=eugene.tarassov%40windriver.com&field0-0-7=reporter&type0-0-7=equals&value0-0-7=uwe.stieber%40windriver.com&field0-0-8=reporter&type0-0-8=equals&value0-0-8=xuanchen%40ca.ibm.com&field0-0-9=reporter&type0-0-9=equals&value0-0-9=r_gerganov%40prosyst.bg&field0-0-10=reporter&type0-0-10=equals&value0-0-10=felix.burton%40windriver.com&field0-0-11=reporter&type0-0-11=equals&value0-0-11=ted.williams%40windriver.com&field0-0-12=reporter&type0-0-12=equals&value0-0-12=kmunir%40ca.ibm.com) (Committer-submitted bugs filtered out)
*   TM [Report: All Open, Reporter vs. Severity](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=bug_severity&y_axis_field=reporter&z_axis_field=&query_format=report-table&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&format=table&action=wrap) - Helps to see who found the most important bugs
*   TM [Report: All Bugs, Reporter vs. Resolution](https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=resolution&y_axis_field=reporter&z_axis_field=&query_format=report-table&product=Target+Management&format=table&action=wrap) - Helps to find reporters who frequently make invalid or duplicate reports
*   TM [All Open Bugs](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&cmdtype=doit)
*   TM [All Fixed Bugs](https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&product=Target+Management&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&cmdtype=doit)

Bug Lifecycle
-------------

Everybody - users and developers - may apply for a [Bugzilla account](http://bugs.eclipse.org/bugs) and submit bug reports or enhancement requests.

*   [Submit a new bug](https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Target%20Management&version=unspecified&component=RSE)
*   [Request an enhancement](https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Target%20Management&version=unspecified&component=RSE&rep_platform=All&op_sys=All&priority=P3&bug_severity=enhancement&form_name=enter_bug)

Once the bug report is filed, contributors and committers work on it, including updates to bug status. All users may contribute to the discussion by adding comments (but typically not change the status fields). The Eclipse Process Guidelines contain some good [information and a handy diagram](http://www.eclipse.org/projects/dev_process/bugzilla-use.php) for understanding the lifecycle of an issue in Bugzilla.

### How to defer bugs

In our [Committer Meeting on 23-May 2006](https://gitlab.eclipse.org/groups/eclipse/tm/-/wikis/Committer_Phone_Meeting_23-May-2006) we decided on the following strategies for deferring bugs. This was later amended according to [bug 178923](https://bugs.eclipse.org/bugs/show_bug.cgi?id=178923#c75) by adding a "Future" milestone. The main goal of these guidelines is to be able and write good bugzilla queries that allow us avoid looking at deferred bugs again later. So here is the process:

*   Set the **Priority** according to personal judgement of importance: Even bugs with a high priority can be deferred to an upcoming release if time just dont permit fixing them.
*   Set Resolved, Resolution=**INVALID** for requests that do not make sense.
*   Set Resolved, Resolution=**WONTFIX** for bugs that we will supposedly never address e.g. because there is a suitable workaround or the effort is just too high although the request makes sense.
*   Set **Target Milestone=Future** for bugs that make sense but are too much effort for the current release. They should be triaged again for the next release, and perhaps be documented as known limitations in the release notes. Such bugs will typically be in NEW state and assigned to tm.rse-inbox@eclipse.org or tm.core-inbox@eclipse.org..
*   **Assign** the bug to a developer and set the **target milestone** for bugs that we want to address in the current release cycle.
*   Assign bugs to the **org.eclipse.tm.rse-inbox@eclipse.org** with the default target milestone="---" if you have no idea what to do with a request and also dont know who else could handle it. It will triaged again by all committers together in the next committer meeting. Please do this as a last resort, though, since looking multiple times at the same bug is unnecessary effort; and add a comment with your thoughts on the bug.

### How to verify and close

*   Bugs that are set RESOLVED are candidates for verification.
*   Ideally, the person who filed a bug should also verify it and set it to **VERIFIED** if OK.
*   During the final release test cycle, all RESOLVED and even VERIFIED bugs will be checked again. If they pass the test, they will be set **CLOSED**.
*   Enhancement requests and applied patches can also be set **CLOSED** right after checkin, especially if they do not apply to testable product functionality but rather some code cleanliness.

Clarification of Fields
-----------------------

*   **Platform** and **OS**: These should be set by the submitter of a bug to describe the platform and OS on which a bug was detected. This does not mean that the bug would occur only on this particular platform.
    *   Use Platform **All** only if you have good evidence that a bug actually occurs on all platforms.
    *   When you are sure that a bug occurs **only** on a particular platform, please indicate so in the **Summary** field by adding a tag lice \[mac\] or \[linux\]

*   **Summary** field: We use tags in square brackets to indicate certain categories of bugs. Please use the following tags as indication:
    *   **\[api\]** - API problem (typically not user visible)
    *   **\[apidoc\]** - API documentation issue
    *   **\[doc\]** - User documentation issue
    *   **\[linux\]** - Bug occurs on Linux only
    *   **\[mac\]** - Bug occurs on MacOS X only
    *   **\[persistence\]** - RSE Persistency support issue
    *   **\[ssh\]** - Bug occurs on ssh subsystem only
    *   **\[team\]** - RSE Team support issue
    *   **\[updating\]** - Problem with update status of items in RSE
    *   **\[windows\]** - Bug occurs on Windows only

Submitting a Patch
------------------

Every user may submit a patch for an issue he finds, by attaching the code to the corresponding Bugzilla item. Submitting patches turns the ordinary user into a contributor, for which he or she will be given credit to.  
Please attach only patches on bugzilla for which you have the right to attach them. In the typical case, if you put a legal notice like the following alongside your contribution, it will speed up the contribution process:

Legal Message: I, {name}, declare that I developed attached code from scratch, without referencing any 3rd party materials except material licensed under the EPL. {I am authorized by my employer to make this contribution under the EPL.}

If this message does not apply for you (e.g. because you did use 3rd party materials), please contact the tm-dev@eclipse.org Developer Mailing List to seek assistance of a committer.  
Once your contribution is attached to Bugzilla, a committer will pick it up and follow the [Committer HOWTO](/tm/development/committer_howto#external_contrib) guidelines to merge your contribution. code without being allowed to do so by the copyright owner).

Testing, tips and tricks for bug finding
----------------------------------------

*   The [TM Testing](https://gitlab.eclipse.org/groups/eclipse/tm/-/wikis/Testing) page coordinates the TM Testing efforts.
*   The [Field Guide to Callisto Bugs](http://wiki.eclipse.org/Field_Guide_to_Callisto_Bugs) is also an interesting read.
